loudmouth (1.5.1-0.mcabber.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream maintainers <http://mcabber.com>
  * Bump to new release version 1.5.1

 -- Mikael BERTHE <mikael.berthe@lilotux.net>  Thu, 05 Nov 2015 19:10:47 +0100

loudmouth (1.4.3-12) unstable; urgency=medium

  * Team upload
    - brown paper bag release.
  * Also make libloudmount1-dev depend on libgnutls28-dev
    - like the build-dependency, this drops libgnutls-dev (gnutls26)

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 05 Jul 2014 13:04:37 +0200

loudmouth (1.4.3-11) unstable; urgency=medium

  * Team upload.

  [ Sébastien Villemot ]
  * Add Vcs-* fields.

  [ Andreas Henriksson ]
  * Put Debian Gnome Maintainers in Maintainer field.
    - Ross Burton isn't very active in Debian these days...
  * Build-depend on libgnutls28-dev (Closes: #753127)
    - instead of libgnutls-dev (gnutls26)
  * Fix debian/watch regex to properly match stable releases only.
    - change url to use ftp.gnome.org while at it.

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 05 Jul 2014 12:44:58 +0200

loudmouth (1.4.3-10) unstable; urgency=low

  * Team upload.
  * 09-libcheck-pthread.patch: new patch by Matthias Klose. Fixes build
    failure, correcting the the configure check for the check library, and
    manually add -lpthread (see #712140). Closes: #713710.
  * Bump Standards-Version to 3.9.5, no changes needed.

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 03 Nov 2013 20:52:23 +0100

loudmouth (1.4.3-9) unstable; urgency=low

  * Team upload.
  * debian/patches/08-fix-ipv6-connect.patch: Fix crash when falling back
    from IPv6 to IPv4. Thanks to Michael Stapelberg for the patch.
    Closes: #631729

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 03 Feb 2013 17:07:05 +0100

loudmouth (1.4.3-8) unstable; urgency=low

  * Switch to dpkg source format 3.0 (quilt).
  * Use dh-autoreconf:
    - Drop debian/patches/90_autoreconf.patch
    - Add Build-Depends on dh-autoreconf.
    - Include /usr/share/cdbs/1/rules/autoreconf.mk in debian/rules.
  * debian/patches/07-glib-single-include.patch: Fix build failure with
    glib 2.32. where including individual glib headers is no longer allowed.
    Closes: #665576
  * debian/libloudmouth1-0.symbols: Strip debian revision from symbol
    versions.
  * debian/copyright: Add copyright information.

 -- Michael Biebl <biebl@debian.org>  Mon, 26 Mar 2012 00:42:14 +0200

loudmouth (1.4.3-7) unstable; urgency=low

  * debian/patches/06_-lasyncns.patch:
    - Move libasyncns from Libs to Libs.private. It's not needed
      to link dynamically and that's causing build failures in
      other packages because we don't depend on libasyncns-dev.
      Closes: #605992.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 05 Dec 2010 12:37:49 +0100

loudmouth (1.4.3-6) unstable; urgency=low

  [ Tanguy Ortolo ]
  * debian/patches/05-use-packaged-libasyncns.patch: Use packaged libasyncns
    instead of embedded one. (Closes: #566143)
  * debian/patches/90_autoreconf.patch: Run libtoolize and autoreconf on top
    of the above patch.

  [ Emilio Pozuelo Monfort ]
  * debian/control.in:
    - Build depend on libasyncns-dev.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 29 Nov 2010 23:54:53 +0100

loudmouth (1.4.3-5) unstable; urgency=low

  * Use both whitespace and TCP keepalives. Some routers don't notice TCP
    keepalive and some XMPP server time out clients after a certain amount
    of idleness on the application layer (Openfire). (Closes: #520572)

 -- Sjoerd Simons <sjoerd@debian.org>  Mon, 07 Dec 2009 22:28:46 +0000

loudmouth (1.4.3-4) unstable; urgency=low

  * debian/rules, debian/watch: use ftp.gnome.org
  * debian/patches/04-use-pkg-config-for-gnutls.patch: Use pkg-config to
    look for gnutls. Closes: #529835.
  * debian/patches/90_autoreconf.patch: Run autoreconf on top of the
    above patch.
  * debian/control.in: Let libloudmouth1-0-dbg and libloudmouth1-dev depend
    on ${misc:Depends}.
  * Standards-Version is 3.8.2, no changes needed.
  * Inherit section from the source stanza.
  * -dbg package is section debug.
  * Remove note that people won't usually need the -dbg package from its
    description.
  * Run tests during build, build depend on check.

 -- Emilio Pozuelo Monfort <pochu@ubuntu.com>  Mon, 17 Aug 2009 00:51:34 +0200

loudmouth (1.4.3-3) unstable; urgency=low

  * debian/control: Added myself to Uploaders.
  * debian/patches/03-drop-stanzas-on-fail.patch:
    - Added. Drop stanzas that can't be parsed instead of blocking the
      parser. Patch from upstream bug tracker.

 -- Jonny Lamb <jonny@debian.org>  Thu, 04 Jun 2009 18:10:08 +0100

loudmouth (1.4.3-2) unstable; urgency=low

  * debian/patches/02-fix-async-resolving.patch
    - Fix sync resolving, patch from upstream git.
  * Enable async DNS resolving

 -- Sjoerd Simons <sjoerd@debian.org>  Wed, 20 May 2009 17:35:57 +0100

loudmouth (1.4.3-1) unstable; urgency=low

  * New upstream release
  * patches/01-fix-sasl-md5-digest-uri.patch
    - Added. Fix sasl md5 digest-uri when using SRV lookups, which prevented
      loudmouth from logging into recent versions of ejabberd

 -- Sjoerd Simons <sjoerd@debian.org>  Wed, 01 Apr 2009 16:36:18 +0100

loudmouth (1.4.2-2) unstable; urgency=high

  * Set -DONLY_TCP_KEEP_ALIVE in CFLAGS as a workaround to revert the 1.4.0 ->
    1.4.1 changes for lenny; closes: #494940.

 -- Loic Minier <lool@dooz.org>  Mon, 20 Oct 2008 21:20:35 +0200

loudmouth (1.4.2-1) unstable; urgency=low

  * New upstream release.

 -- Norbert Tretkowski <nobse@debian.org>  Sun, 07 Sep 2008 22:26:15 +0200

loudmouth (1.4.1-1) unstable; urgency=low

  * New upstream release.

 -- Norbert Tretkowski <nobse@debian.org>  Sun, 03 Aug 2008 16:51:39 +0200

loudmouth (1.4.0-1) unstable; urgency=low

  * New upstream release.

 -- Norbert Tretkowski <nobse@debian.org>  Wed, 23 Jul 2008 13:49:28 +0200

loudmouth (1.3.4-1) unstable; urgency=low

  * New upstream release.
  * Drop patch 00_xmpp_with_old_style_auth.patch.
  * Enable IDN support. (closes: #463101)

 -- Norbert Tretkowski <nobse@debian.org>  Tue, 04 Mar 2008 13:42:12 +0100

loudmouth (1.3.3-2) unstable; urgency=low

  * debian/paches/00_xmpp_with_old_style_auth.patch
    - Add support for using obsolete XEP-0078 authentication with XMPP 1.0
      servers that don't implement SASL

 -- Sjoerd Simons <sjoerd@debian.org>  Wed, 13 Feb 2008 11:16:01 +0100

loudmouth (1.3.3-1) unstable; urgency=low

  * New upstream release
  * debian/libloudmouth1-0.symbols: Add a symbols file for loudmouth

 -- Sjoerd Simons <sjoerd@debian.org>  Tue, 08 Jan 2008 15:25:51 +0100

loudmouth (1.3.2-1) experimental; urgency=low

  * New upstream release.

 -- Norbert Tretkowski <nobse@debian.org>  Wed, 31 Oct 2007 23:31:43 +0100

loudmouth (1.2.3-3) UNRELEASED; urgency=low

  * Use binary:version and source:Version for binnNMU-safe uploads as
    added in dpkg-dev 1.13.19. Add to Build-Depends accordingly.

 -- Kilian Krause <kilian@debian.org>  Sat, 22 Sep 2007 12:47:08 +0200

loudmouth (1.2.3-2) unstable; urgency=low

  * Configure with --disable-idn. (closes: #427490)

 -- Norbert Tretkowski <nobse@debian.org>  Tue, 12 Jun 2007 19:44:23 +0200

loudmouth (1.2.3-1) unstable; urgency=low

  * New upstream release.

 -- Norbert Tretkowski <nobse@debian.org>  Mon, 11 Jun 2007 20:18:50 +0200

loudmouth (1.2.2-1) unstable; urgency=low

  [ Loic Minier ]
  * Fix description of the -dbg package.
  * Wrap build-deps and deps.
  * Use http://ftp.imendio.com/pub/imendio/loudmouth/src in copyright.
  * Track all versions in watch file.

  [ Norbert Tretkowski ]
  * New upstream release. (closes: #426684)
  * Added patch from Ubuntu to fix crash when connection_data->connection
    is used as a pointer.

 -- Norbert Tretkowski <nobse@debian.org>  Wed, 30 May 2007 15:08:24 +0200

loudmouth (1.2.1-1) unstable; urgency=low

  [ Loic Minier ]
  * Add a get-orig-source target to retrieve the upstream tarball.

  [ Sjoerd Simons ]
  * New upstream release
  * debian/patches/01_64bit-clean.patch
    - Dropped. Fixed upstream
  * debian/patches/01_dont_free_parser_while_parsing.patch
    - Dropped. Fixed upstream
  * debian/ptaches/01_escape_xml_entities.patch
    - Dropped. Fixed upstream

 -- Sjoerd Simons <sjoerd@debian.org>  Mon, 16 Apr 2007 14:37:21 +0200

loudmouth (1.1.4-2) unstable; urgency=low

  [ Dafydd Harries ]
  
  * Apply patches from CVS that fix crashes/forced disconnections:
    - 01_dont_free_parser_while_parsing.patch
    - 01_escape_xml_entities.patch

  [ Ross Burton ]
  
  * Apply patch from CVS to fix warnings on 64-bit archs:
    - 01_64bit-clean.patch

 -- Ross Burton <ross@debian.org>  Thu,  7 Dec 2006 16:59:11 +0000

loudmouth (1.1.4-1) unstable; urgency=low

  * New upstream version.

 -- Dafydd Harries <daf@debian.org>  Sat, 30 Sep 2006 19:34:07 +0100

loudmouth (1.0.4-2) unstable; urgency=low

  * Add dependency libloudmouth1-dev -> libgnutls-dev.

 -- Dafydd Harries <daf@debian.org>  Thu, 29 Jun 2006 18:59:33 +0100

loudmouth (1.0.4-1) unstable; urgency=low

  * New upstream release.
  * debian/watch: point at ftp.imendio.com.

 -- Dafydd Harries <daf@debian.org>  Thu, 29 Jun 2006 12:55:05 +0100

loudmouth (1.0.3-1) unstable; urgency=low

  * New upstream release.
  * This package is built against libgnutls13 (closes: #335761)
  * Use Debhelper compat version 5, and bump build-depends accordingly.
  * Add -dbg package.
  * Bump standards version (no changes).

 -- Dafydd Harries <daf@debian.org>  Mon, 19 Jun 2006 14:41:52 +0100

loudmouth (1.0.1-5) unstable; urgency=low

  * Don't install the .la file
  * Update FSF address

 -- Ross Burton <ross@debian.org>  Fri,  5 May 2006 16:28:53 +0100

loudmouth (1.0.1-4) unstable; urgency=low

  * Change Build-Depends to libgnutls-dev (#335761)

 -- Ross Burton <ross@debian.org>  Wed, 26 Oct 2005 09:41:16 +0100

loudmouth (1.0.1-3) unstable; urgency=low

  * Put symlink to API docs in the right directory.

 -- Ross Burton <ross@debian.org>  Thu, 29 Sep 2005 12:07:49 +0100

loudmouth (1.0.1-2) unstable; urgency=low

  * Add dependency on libglib2.0-dev to libloudmouth1-dev (closes: #327117)
  * Add the examples to libloudmouth1-dev

 -- Ross Burton <ross@debian.org>  Mon, 12 Sep 2005 09:21:33 +0100

loudmouth (1.0.1-1) unstable; urgency=low

  * New upstream release.

 -- Ross Burton <ross@debian.org>  Wed, 17 Aug 2005 09:35:16 +0100

loudmouth (1.0-1) unstable; urgency=low

  * New upstream release (closes: #322410, #320718, #320719)

 -- Ross Burton <ross@debian.org>  Mon, 15 Aug 2005 10:45:58 +0100

loudmouth (0.90-1) unstable; urgency=low

  * New upstream release (closes: #319751)
    - Remove lm-ssl-disconnect.diff
  * Use list-missing to check installed files
  * Install the .la file
  
 -- Ross Burton <ross@debian.org>  Sun, 31 Jul 2005 17:02:29 +0100

loudmouth (0.17.2-2) unstable; urgency=low

  * debian/patches/lm-ssl-disconnect.diff: Fix crash when SSL servers
    disconnect (closes: #299571)  
  * Add debian/watch

 -- Ross Burton <ross@debian.org>  Thu, 31 Mar 2005 16:23:44 +0100

loudmouth (0.17.2-1) unstable; urgency=low

  * New upstream release
  * 64-bit builds fixed (closes: 272421)
  
 -- Ross Burton <ross@debian.org>  Tue,  2 Nov 2004 13:33:30 +0000

loudmouth (0.17.1-1) unstable; urgency=low

  * New upstream release.

 -- Ross Burton <ross@debian.org>  Tue, 31 Aug 2004 17:50:05 +0100

loudmouth (0.17-1) unstable; urgency=low

  * New upstream release.

 -- Ross Burton <ross@debian.org>  Fri, 27 Aug 2004 08:01:44 +0100

loudmouth (0.16-3) unstable; urgency=low

  * GNOME team upload.
  * debian/control.in: switch to gnutls11.

 -- Jordi Mallach <jordi@debian.org>  Sun,  1 Aug 2004 13:28:28 +0200

loudmouth (0.16-2) unstable; urgency=low

  * GNOME Team Upload
  * Rebuilt in unstable with gnutls10.

 -- Sebastien Bacher <seb128@debian.org>  Thu, 27 May 2004 21:31:17 +0200

loudmouth (0.16-1) experimental; urgency=low

  * New upstream release
  * debian/control.in: we need gnutls10.

 -- Ross Burton <ross@debian.org>  Fri, 16 Apr 2004 11:57:13 +0100

loudmouth (0.15-1) unstable; urgency=low

  * New upstream release
  * Rename packages for new upstrem versioning scheme
  * debian/copyright: Update home page URL
  * Move to GNOME Packaging Team

 -- Ross Burton <ross@debian.org>  Mon,  2 Feb 2004 18:11:43 +0000

loudmouth (0.14.1-1) unstable; urgency=low

  * New upstream release (closes: #215214)

 -- Ross Burton <ross@debian.org>  Mon, 13 Oct 2003 11:24:08 +0100

loudmouth (0.14-1) unstable; urgency=low

  * New upstream release

 -- Ross Burton <ross@debian.org>  Fri, 10 Oct 2003 10:56:31 +0100

loudmouth (0.13.2-1) unstable; urgency=low

  * New upstream release

 -- Ross Burton <ross@debian.org>  Fri, 15 Aug 2003 14:23:30 +0100

loudmouth (0.13-2) unstable; urgency=low

  * Rebuild with libgnutls7-dev.

 -- Ross Burton <ross@debian.org>  Tue,  5 Aug 2003 12:07:13 +0100

loudmouth (0.13-1) unstable; urgency=low

  * New upstream release

 -- Ross Burton <ross@debian.org>  Tue,  5 Aug 2003 11:53:29 +0100

loudmouth (0.12-1) unstable; urgency=low

  * Maintainer upload. Thanks to Jordi for the NMU whilst I was in Greece,
    doing nothing.
  * Push Standards to 3.6.0 whilst I'm uploading.

 -- Ross Burton <ross@debian.org>  Tue, 22 Jul 2003 17:49:55 +0100

loudmouth (0.12-0.1) unstable; urgency=low

  * Non-Maintainer Upload. Ross, I hope it's ok!
  * New upstream release.
  * debian/control:
    + build depend on libgnutls5-dev. We can't use libgnutls7 because
      libgnome still uses gnutls5.
    + bump gtk-doc-tools to (>= 1.1-2) for local DTD fixes. This should now
      build ok on ARM (closes: #200601).

 -- Jordi Mallach <jordi@debian.org>  Mon, 21 Jul 2003 11:28:18 +0200

loudmouth (0.10-1) unstable; urgency=low

  * New upstream release

 -- Ross Burton <ross@debian.org>  Thu, 26 Jun 2003 17:46:12 +0100

loudmouth (0.9.1-3) unstable; urgency=low

  * debian/rules: declare variables after includes (closes: #198245)

 -- Ross Burton <ross@debian.org>  Tue, 24 Jun 2003 12:32:44 +0100

loudmouth (0.9.1-2) unstable; urgency=low

  * Add Build-depend on gtk-doc-tools (closes: #195469)
  * Add Build-depend on autotools-dev, pre-empting the buildd's
  * Build-depend on CDBS 0.2.11 so that dh_link is called for us.

 -- Ross Burton <ross@debian.org>  Mon,  2 Jun 2003 07:59:02 +0100

loudmouth (0.9.1-1) unstable; urgency=low

  * New upstream release
  * debian/rules: upgrade to CDBS
  * debian/rocks: unused with CDBS

 -- Ross Burton <ross@debian.org>  Wed, 28 May 2003 18:32:36 +0100

loudmouth (0.9-1) unstable; urgency=low

  * Initial Release. (closes: #183826)

 -- Ross Burton <ross@debian.org>  Sun, 13 Apr 2003 19:21:57 +0100
